## megamario 1.7

=== debian/changelog ===
megamario (1.7-1mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 22 Feb 2019 16:56:31 -0800

megamario (1.7-1~getdeb1) xenial; urgency=medium

  * Initial release

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 15 Nov 2016 19:32:17 +0100
