=== debian/watch ===
version=3
http://sf.net/mmario/MegaMario_v([\d\.]+)_full\.zip
